#include <bits/stdc++.h>
  
#define int long long
#define ll long long
#define ioigold ios_base::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);
#define nl '\n'
#define sz(s) (int)s.size()
#define pb push_back   
#define con continue
#define S second
#define F first
  
using namespace std;
  
const int N = (int)3e5 + 7;
const int inF = (int)-1e9 - 7;
const int INF = (int)1e18 + 7;                                                  
const int mod = 1e9 + 7;
  
int ans = 0;
  
void f(int n, int m){
    ans += n * m;
    if(n == 1 && m == 1){
        return;
    }
    if(n > m){
        f(n - 1, m);
        ans +=  ((m * 1ll * (m + 1)) >> 1) + (m - 1);
    }
    else{
        f(n, m - 1);
        ans += ((n * 1ll * (n + 1)) >> 1) + (n - 1);
    }
}
  
void solve(){
    int n, m;
    cin >> n >> m;
  
    f(n, m);
  
    cout << ans;
}
  
signed main() {
                                                                                     
    ioigold                                             
      
    int T = 1;
  
    while(T--){                                                     
        solve();
    }
}